Bug 66409 - failure to correctly implement CELL
Summary: failure to correctly implement CELL
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2013-06-30 18:27 UTC by Andreas J Guelzow
Modified: 2019-02-15 21:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas J Guelzow 2013-06-30 18:27:57 UTC
In LO enter the following in A1:

=CELL("col",C5:C7)

and in A2:

=CELL("col",C5)

A2 shows, as expected, 3. A1 on the other hand showws #VALUE! It appears that LO uses implicit intersection and fails since C5:C7 does not interset with row 1. This contravenes the ODF definition, see ODF 1.2 part 2 6.13.3:
"R : if R is a reference to a cell, it is the cell whose information will be returned; if R is a reference to a range, the top-left cell in the range is the selected one; if R is omitted, the current cell is used."
Comment 1 m.a.riosv 2013-06-30 21:53:48 UTC
Reproducible with:
Win7x64 Ultimate
Autofill - Date - Months' wrong if day of month exceeds max. days of month
Comment 2 A (Andy) 2014-09-27 10:15:47 UTC
Comment 1 was probably not the right response to this bug report.

This issue is reproducible with LO 4.3.2.2 (Win 8.1).  But a correction is necessary: "," needs to be replaced by ";" in the formulas.

The ODF definitions mentions this reference to a range.
Comment 3 QA Administrators 2015-10-14 19:57:57 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2016-01-30 14:47:07 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2017-03-06 14:40:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306